Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SPBTRS

    java.lang.Object
      org.netlib.lapack.SPBTRS

    public class SPBTRS

extends java.lang.Object

    SPBTRS is a simplified interface to the JLAPACK routine spbtrs.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SPBTRS solves a system of linear equations A*X = B with a symmetric
     *  positive definite band matrix A using the Cholesky factorization
     *  A = U**T*U or A = L*L**T computed by SPBTRF.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangular factor stored in AB;
     *          = 'L':  Lower triangular factor stored in AB.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  KD      (input) INTEGER
     *          The number of superdiagonals of the matrix A if UPLO = 'U',
     *          or the number of subdiagonals if UPLO = 'L'.  KD >= 0.
     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrix B.  NRHS >= 0.
     *
     *  AB      (input) REAL array, dimension (LDAB,N)
     *          The triangular factor U or L from the Cholesky factorization

     *          A = U**T*U or A = L*L**T of the band matrix A, stored in the

     *          first KD+1 rows of the array.  The j-th column of U or L is
     *          stored in the j-th column of the array AB as follows:
     *          if UPLO ='U', AB(kd+1+i-j,j) = U(i,j) for max(1,j-kd)<=i<=j;

     *          if UPLO ='L', AB(1+i-j,j)    = L(i,j) for j<=i<=min(n,j+kd).

     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDAB >= KD+1.
     *
     *  B       (input/output) REAL array, dimension (LDB,NRHS)
     *          On entry, the right hand side matrix B.
     *          On exit, the solution matrix X.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`SPBTRS()`

Method Summary
`static void` | `SPBTRS(java.lang.String uplo, int n, int kd, int nrhs, float[][] ab, float[][] b, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPBTRS

    public SPBTRS()

Method Detail

### SPBTRS

    public static void SPBTRS(java.lang.String uplo,
                              int n,
                              int kd,
                              int nrhs,
                              float[][] ab,
                              float[][] b,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD